# frozen_string_literal: true

lib = File.expand_path('lib', __dir__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'homing_pigeon/version'

Gem::Specification.new do |spec|
  spec.name          = 'homing_pigeon'
  spec.version       = HomingPigeon::VERSION
  spec.authors       = ['John W Higgins']
  spec.email         = ['wishdev@gmail.com']

  spec.summary       = 'MessageBus meets ZeroMQ.'
  spec.homepage      = 'https://github.com/wishdev/homing_pigeon'
  spec.license       = 'MIT'

  spec.files         = Dir.chdir(__dir__) do
    `git ls-files -z`.split("\x0").reject do |f|
      f.match(%r{^(test|spec|features)/})
    end
  end
  spec.bindir        = 'exe'
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = %w[lib]

  spec.add_dependency 'wishvps-utils'

  spec.add_development_dependency 'bundler', '~> 2.0'
  spec.add_development_dependency 'rake'
end
